#include <bits/stdc++.h>
using namespace std;
int a,b,x,y;
int main(){
    cin >> a >> b >> x >> y;
    if (x<a and y==b){
        cout << "prvi" << endl;
    }
    else if(x==a and y<b){
        cout << "drugi" << endl;
    }
    else if(x==a and y==b){
        cout << "nijedan" << endl;
    }
    else{
        cout << "?" << endl;
    }
        return 0;
}